libzypp 17.37.10

zypp::ui::selfilter::ByName Struct Reference

`#include <zypp/ui/SelFilters.h>`

## Public Member Functions
| ByName (std::string name_r)
bool | operator() (const ui::Selectable::constPtr &obj) const

## Public Attributes
std::string | _name

## Detailed Description

Definition at line 47 of file SelFilters.h.

## Constructor & Destructor Documentation

## ◆ ByName()

zypp::ui::selfilter::ByName::ByName | ( | std::string | name_r | ) |
| inline

Definition at line 49 of file SelFilters.h.

## Member Function Documentation

## ◆ operator()()

bool zypp::ui::selfilter::ByName::operator() | ( | const ui::Selectable::constPtr & | obj | ) | const
| inline

Definition at line 53 of file SelFilters.h.

## Member Data Documentation

## ◆ _name

std::string zypp::ui::selfilter::ByName::_name

Definition at line 56 of file SelFilters.h.

The documentation for this struct was generated from the following file:

- zypp/ui/SelFilters.h